package domain

type AlibabaHmMarketingFullrangeQueryitemActivitySkuQuery struct {
	/*
	   分页参数     */
	Page *AlibabaHmMarketingFullrangeQueryitemBasePageQuery `json:"page,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   查询指定的skucode     */
	SkuCodes *[]string `json:"sku_codes,omitempty" `

	/*
	   报名活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaHmMarketingFullrangeQueryitemActivitySkuQuery) SetPage(v AlibabaHmMarketingFullrangeQueryitemBasePageQuery) *AlibabaHmMarketingFullrangeQueryitemActivitySkuQuery {
	s.Page = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryitemActivitySkuQuery) SetOutActId(v string) *AlibabaHmMarketingFullrangeQueryitemActivitySkuQuery {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryitemActivitySkuQuery) SetSkuCodes(v []string) *AlibabaHmMarketingFullrangeQueryitemActivitySkuQuery {
	s.SkuCodes = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryitemActivitySkuQuery) SetActivityId(v int64) *AlibabaHmMarketingFullrangeQueryitemActivitySkuQuery {
	s.ActivityId = &v
	return s
}
